
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ page import="java.sql.Connection" %>
<%@ page import="java.util.*" %>
<%@ page import="com.censoft.common.db.ConnectionFactory" %>
<%@ page import="com.censoft.common.base.Pub" %>
<%
    ConnectionFactory cf = new ConnectionFactory();
    Pub pub = new Pub();
    Connection conn = null;
    Vector v_list = null;
    String year = pub.trimNull(request.getParameter("year"));
    String month = pub.trimNull(request.getParameter("month"));
    String day = pub.trimNull(request.getParameter("day"));
    List list_s = new ArrayList();
    String result="";
    try {
        StringBuffer sb = new StringBuffer();
        sb.append("select zb_user from zb_user_gl where 1=1 ");
        sb.append(" and year=? and month=? and day=? ");
        sb.append(" order by order_num desc");
        list_s.add(year);
        list_s.add(month);
        list_s.add(day);
        conn = com.censoft.db.DBUtil.getConnection();
        v_list = cf.doQuery(conn, sb.toString(), null, list_s.toArray());
        if (v_list == null) {
            out.println("查询出错" + cf.getMsg());
            return;
        }
        if (v_list != null && v_list.size() > 0) {
            for (int i = 0; i < v_list.size(); i++) {
                Hashtable ht = (Hashtable) v_list.get(i);
                String zb_user = pub.trimNull((String) ht.get("zb_user"));
                result="</br>"+zb_user+result;
            }
        }
        out.println(result);
    } catch (Exception e) {
        out.println("查询异常" + e);
        return;
    } finally {
        if (conn != null) {
            try {
                conn.close();
            } catch (Exception e) {
            }
        }
    }
%>